Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1646359 - [abrt] gnome-settings-daemon: NSSRWLock_LockRead_Util(): gsd-smartcard killed by SIGSEGV
Summary: [abrt] gnome-settings-daemon: NSSRWLock_LockRead_Util(): gsd-smartcard killed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a2f15b7e6296e355e7de54bd4ff...
: 1649377 1655393 1655954 1659753 1662768 1669164 1669228 1669756 1669899 1669914 1672080 1674318 1674538 1680471 1682923 1684099 1686095 1686435 1687532 1689685 1691517 1692096 1694477 1699517 1700530 1706028 1710671 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-05 12:58 UTC by ricky.tigg
Modified: 2019-06-13 01:38 UTC (History)
48 users (show)

Fixed In Version: gnome-settings-daemon-3.32.0-2.fc30 gnome-settings-daemon-3.30.2-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-12 14:47:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2018-11-05 12:58 UTC, ricky.tigg
no flags Details
File: cgroup (deleted)
2018-11-05 12:58 UTC, ricky.tigg
no flags Details
File: core_backtrace (deleted)
2018-11-05 12:58 UTC, ricky.tigg
no flags Details
File: cpuinfo (deleted)
2018-11-05 12:58 UTC, ricky.tigg
no flags Details
File: dso_list (deleted)
2018-11-05 12:58 UTC, ricky.tigg
no flags Details
File: environ (deleted)
2018-11-05 12:58 UTC, ricky.tigg
no flags Details
File: exploitable (deleted)
2018-11-05 12:59 UTC, ricky.tigg
no flags Details
File: limits (deleted)
2018-11-05 12:59 UTC, ricky.tigg
no flags Details
File: maps (deleted)
2018-11-05 12:59 UTC, ricky.tigg
no flags Details
File: mountinfo (deleted)
2018-11-05 12:59 UTC, ricky.tigg
no flags Details
File: open_fds (deleted)
2018-11-05 12:59 UTC, ricky.tigg
no flags Details
File: proc_pid_status (deleted)
2018-11-05 12:59 UTC, ricky.tigg
no flags Details

Description ricky.tigg 2018-11-05 12:58:44 UTC
Description of problem:
Logout then login have been performed

Version-Release number of selected component:
gnome-settings-daemon-3.30.1.2-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=8a45acd7a89342b48d4a848b699a91fe;i=43e4f;b=0a58ca953bbe4d709edee8182048eea1;m=46b74b3fd;t=579ea600eb8ee;x=c2ea57fb9254fbd3
kernel:         4.18.16-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 NSSRWLock_LockRead_Util at nssrwlk.c:145
 #1 SECMOD_GetReadLock at pk11list.c:41
 #2 secmod_HandleWaitForSlotEvent at pk11util.c:1134
 #3 SECMOD_WaitForAnyTokenEvent at pk11util.c:1220
 #4 watch_one_event_from_driver at ../plugins/smartcard/gsd-smartcard-manager.c:188
 #5 watch_smartcards_from_driver at ../plugins/smartcard/gsd-smartcard-manager.c:288
 #6 g_task_thread_pool_thread at gtask.c:1331
 #8 g_thread_proxy at gthread.c:784
 #10 __sysctl at ../sysdeps/unix/sysv/linux/sysctl.c:40

Comment 1 ricky.tigg 2018-11-05 12:58:52 UTC
Created attachment 1501830 [details]
File: backtrace

Comment 2 ricky.tigg 2018-11-05 12:58:53 UTC
Created attachment 1501831 [details]
File: cgroup

Comment 3 ricky.tigg 2018-11-05 12:58:55 UTC
Created attachment 1501832 [details]
File: core_backtrace

Comment 4 ricky.tigg 2018-11-05 12:58:56 UTC
Created attachment 1501833 [details]
File: cpuinfo

Comment 5 ricky.tigg 2018-11-05 12:58:58 UTC
Created attachment 1501834 [details]
File: dso_list

Comment 6 ricky.tigg 2018-11-05 12:58:59 UTC
Created attachment 1501835 [details]
File: environ

Comment 7 ricky.tigg 2018-11-05 12:59:01 UTC
Created attachment 1501836 [details]
File: exploitable

Comment 8 ricky.tigg 2018-11-05 12:59:02 UTC
Created attachment 1501837 [details]
File: limits

Comment 9 ricky.tigg 2018-11-05 12:59:04 UTC
Created attachment 1501838 [details]
File: maps

Comment 10 ricky.tigg 2018-11-05 12:59:06 UTC
Created attachment 1501839 [details]
File: mountinfo

Comment 11 ricky.tigg 2018-11-05 12:59:07 UTC
Created attachment 1501840 [details]
File: open_fds

Comment 12 ricky.tigg 2018-11-05 12:59:08 UTC
Created attachment 1501841 [details]
File: proc_pid_status

Comment 13 Brian J. Murrell 2018-11-06 14:17:40 UTC
Similar problem has been detected:

Not sure why this happened

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=9b746aaa333c40b4a7a6884d140d0c1f;i=822eb3;b=c60ec25b4df94ff7af2342937ea36c84;m=6e98155b8;t=579ff3f8a844b;x=b0cbd14f85131aee
kernel:         4.18.16-300.fc29.x86_64
package:        gnome-settings-daemon-3.30.1.2-1.fc29
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 14 R. Antonn Tiellet 2018-11-13 14:08:17 UTC
*** Bug 1649377 has been marked as a duplicate of this bug. ***

Comment 15 Ashutosh 2018-12-03 04:53:52 UTC
*** Bug 1655393 has been marked as a duplicate of this bug. ***

Comment 16 Mufaz 2018-12-04 10:20:05 UTC
*** Bug 1655954 has been marked as a duplicate of this bug. ***

Comment 17 R. Antonn Tiellet 2018-12-16 05:37:11 UTC
*** Bug 1659753 has been marked as a duplicate of this bug. ***

Comment 18 Ali Sajid Imami 2019-01-01 19:56:22 UTC
*** Bug 1662768 has been marked as a duplicate of this bug. ***

Comment 19 William Kastner 2019-01-03 18:40:07 UTC
Similar problem has been detected:

Logging into gnome desktop.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=0917c66d72274e1f952def90a6209c75;i=3c104;b=4d12036bf4bb47c6bcdec5d602d42fdc;m=14560e9619;t=57e901b1d267f;x=7cf035a68d808966
kernel:         4.19.12-301.fc29.x86_64
package:        gnome-settings-daemon-3.30.1.2-2.fc29
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Brian J. Murrell 2019-01-10 15:12:14 UTC
Similar problem has been detected:

Not sure what caused this.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=eb78483d5a8045488c4de941252d39f6;i=85a61;b=e9b51add4b044c64ba5edd4854814c55;m=c1d021f844;t=57f05689c411d;x=7d80e5467f2aa7cd
kernel:         4.19.9-300.fc29.x86_64
package:        gnome-settings-daemon-3.30.1.2-2.fc29
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 21 geigor 2019-01-24 14:00:55 UTC
*** Bug 1669164 has been marked as a duplicate of this bug. ***

Comment 22 Michael McCune 2019-01-24 16:28:41 UTC
*** Bug 1669228 has been marked as a duplicate of this bug. ***

Comment 23 ricky.tigg 2019-01-25 13:36:40 UTC
Similar problem has been detected:

Login to alternate a system language.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=ccbc42219961484699e42849fc6767bd;i=19692a;b=6c7a8dcddcc642c9a8769a98d769a010;m=3e1abc0eb;t=5804849a2139a;x=5898eecc32626038
kernel:         4.20.3-200.fc29.x86_64
package:        gnome-settings-daemon-3.30.2-1.fc29
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 24 smitna 2019-01-26 18:57:03 UTC
*** Bug 1669756 has been marked as a duplicate of this bug. ***

Comment 25 ardillon.42 2019-01-27 20:21:02 UTC
*** Bug 1669899 has been marked as a duplicate of this bug. ***

Comment 26 Kyle Taylor 2019-01-27 23:57:10 UTC
*** Bug 1669914 has been marked as a duplicate of this bug. ***

Comment 27 ricky.tigg 2019-02-01 07:42:40 UTC
Similar problem has been detected:

Computer powered on.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=eee64df3d91941cb8c148e50f70182c0;i=318cb;b=8c5106b4734e421aa5d60e2fe498f690;m=5cfd0b09c;t=580c277ce8044;x=ce0da3e2f050e959
kernel:         4.20.3-200.fc29.x86_64
package:        gnome-settings-daemon-3.30.2-1.fc29
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 28 ardillon.42 2019-02-03 16:57:37 UTC
*** Bug 1672080 has been marked as a duplicate of this bug. ***

Comment 29 Jonathan Graham 2019-02-10 23:36:45 UTC
*** Bug 1674318 has been marked as a duplicate of this bug. ***

Comment 30 andor.ugalde 2019-02-11 15:29:29 UTC
*** Bug 1674538 has been marked as a duplicate of this bug. ***

Comment 31 Koustubh Sinkar 2019-02-25 06:43:12 UTC
*** Bug 1680471 has been marked as a duplicate of this bug. ***

Comment 32 William Kastner 2019-02-25 20:26:59 UTC
*** Bug 1682923 has been marked as a duplicate of this bug. ***

Comment 33 Don Swaner 2019-02-28 12:26:57 UTC
*** Bug 1684099 has been marked as a duplicate of this bug. ***

Comment 34 Pedro Carvalho 2019-03-06 17:39:02 UTC
*** Bug 1686095 has been marked as a duplicate of this bug. ***

Comment 35 ownerfrance+redhat 2019-03-07 13:08:28 UTC
*** Bug 1686435 has been marked as a duplicate of this bug. ***

Comment 36 Dzmitry 2019-03-11 16:47:57 UTC
*** Bug 1687532 has been marked as a duplicate of this bug. ***

Comment 37 Nicholas Youell 2019-03-17 17:36:35 UTC
*** Bug 1689685 has been marked as a duplicate of this bug. ***

Comment 38 Robert Hinson 2019-03-17 18:53:32 UTC
[oppie@guardian ~]$ abrt --auth bt ee1e5db
[New LWP 8245]
[New LWP 8106]
[New LWP 8119]
[New LWP 8122]
[New LWP 8148]
[New LWP 8243]
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
Core was generated by `/usr/libexec/gsd-smartcard'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007f45bd5eaf46 in NSSRWLock_LockRead_Util (rwlock=0x0) at nssrwlk.c:145
145     nssrwlk.c: No such file or directory.
[Current thread is 1 (Thread 0x7f45adaea700 (LWP 8245))]
Thread 1 (Thread 0x7f45adaea700 (LWP 8245)):
#0  0x00007f45bd5eaf46 in NSSRWLock_LockRead_Util (rwlock=0x0) at nssrwlk.c:145
        me = <optimized out>
#1  0x00007f45bd9cf379 in SECMOD_GetReadLock (modLock=<optimized out>) at pk11list.c:41
No locals.
#2  0x00007f45bd9f395f in secmod_HandleWaitForSlotEvent (latency=1000, flags=0, mod=0x55aeda522be0) at pk11util.c:1134
        removableSlotsFound = 0
        i = <optimized out>
        error = <optimized out>
        removableSlotsFound = <optimized out>
        i = <optimized out>
        error = <optimized out>
        slot = <optimized out>
        series = <optimized out>
        present = <optimized out>
#3  secmod_HandleWaitForSlotEvent (mod=0x55aeda522be0, flags=0, latency=1000) at pk11util.c:1109
        i = <optimized out>
        slot = <optimized out>
        series = <optimized out>
        present = <optimized out>
#4  0x00007f45bd9f3c0e in SECMOD_WaitForAnyTokenEvent (mod=0x55aeda522be0, flags=flags@entry=0, latency=1000) at pk11util.c:1220
        id = 94209474405120
        crv = <optimized out>
        slot = <optimized out>
#5  0x000055aed8a7c0e8 in watch_one_event_from_driver (error=0x7f45adae9d20, cancellable=0x7f45a0008700, operation=0x7f4598003520, self=0x55aeda41a340) at ../plugins/smartcard/gsd-smartcard-manager.c:188
        card = <optimized out>
        old_card = <optimized out>
        handler_id = 43
        priv = 0x55aeda41a300
        slot_id = <optimized out>
        old_slot_series = -1
        slot_series = <optimized out>
        priv = <optimized out>
        card = <optimized out>
        old_card = <optimized out>
        slot_id = <optimized out>
        handler_id = <optimized out>
        old_slot_series = <optimized out>
        slot_series = <optimized out>
        error_code = <optimized out>
#6  watch_smartcards_from_driver (task=0x7f4598003a00, self=0x55aeda41a340, operation=0x7f4598003520, cancellable=0x7f45a0008700) at ../plugins/smartcard/gsd-smartcard-manager.c:288
        watch_succeeded = <optimized out>
        error = 0x0
#7  0x00007f45bdccf2c7 in g_task_thread_pool_thread (thread_data=0x7f4598003a00, pool_data=<optimized out>) at gtask.c:1331
        task = 0x7f4598003a00
#8  0x00007f45bdb3bcb3 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:307
        task = 0x7f4598003a00
        pool = 0x55aeda432790
#9  0x00007f45bdb3b2aa in g_thread_proxy (data=0x7f4598004400) at gthread.c:784
        thread = 0x7f4598004400
        __func__ = "g_thread_proxy"
#10 0x00007f45bd6df58e in start_thread (arg=<optimized out>) at pthread_create.c:486
        ret = <optimized out>
        pd = <optimized out>
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139937243375360, 7487283425846060101, 139937251765070, 139937251765071, 139937251765200, 139937243373184, -7393934468882799547, -7393971327509240763}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
#11 0x00007f45bd8866a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
No locals.
Thread 2 (Thread 0x7f45bd354880 (LWP 8106)):
#0  0x00007f45bd76d204 in __pthread_once@plt () from /lib64/libdl.so.2
No symbol table info available.
#1  0x00007f45bd76dacb in _dlerror_run (operate=operate@entry=0x7f45bd76d480 <dlclose_doit>, args=0x55aeda463b50) at dlerror.c:129
        result = <optimized out>
#2  0x00007f45bd76d4c8 in __dlclose (handle=<optimized out>) at dlclose.c:46
No locals.
#3  0x00007f45bd966979 in PR_UnloadLibrary (lib=0x55aeda463b20) at ../../.././nspr/pr/src/linking/prlink.c:992
        result = 0
        status = PR_SUCCESS
#4  0x00007f45aeb62ec5 in BL_Unload () at loader.c:822
        disableUnload = <optimized out>
#5  0x00007f45aeb46661 in nsc_CommonFinalize (pReserved=<optimized out>, isFIPS=<optimized out>) at pkcs11.c:3158
No locals.
#6  nsc_CommonFinalize (pReserved=<optimized out>, isFIPS=<optimized out>) at pkcs11.c:3126
No locals.
#7  0x00007f45aeb4683a in NSC_Finalize (pReserved=0x0) at pkcs11.c:3227
        crv = <optimized out>
        crv = <optimized out>
#8  NSC_Finalize (pReserved=0x0) at pkcs11.c:3214
        crv = 0
#9  0x00007f45bd9d8795 in SECMOD_UnloadModule (mod=mod@entry=0x55aeda4221e0) at pk11load.c:605
        library = <optimized out>
        disableUnload = 0x0
#10 0x00007f45bd9f2b30 in SECMOD_SlotDestroyModule (module=0x55aeda4221e0, fromSlot=fromSlot@entry=1) at pk11util.c:924
        willfree = <optimized out>
#11 0x00007f45bd9eea23 in PK11_DestroySlot (slot=0x55aeda560d20) at pk11slot.c:460
No locals.
#12 0x00007f45bd9eea45 in PK11_FreeSlot (slot=<optimized out>) at pk11slot.c:472
No locals.
#13 0x00007f45bd9f2c03 in SECMOD_DestroyModule (module=0x55aeda4221e0) at pk11util.c:895
        willfree = <optimized out>
        slotCount = <optimized out>
        i = <optimized out>
        willfree = <optimized out>
        slotCount = <optimized out>
        i = <optimized out>
        parent = <optimized out>
#14 SECMOD_DestroyModule (module=0x55aeda4221e0) at pk11util.c:857
        willfree = 1
        slotCount = <optimized out>
        i = <optimized out>
        parent = <optimized out>
#15 0x00007f45bd9f2f4e in SECMOD_DestroyModuleListElement (element=0x55aeda4b3190) at pk11util.c:941
        next = 0x55aeda555f20
#16 0x00007f45bd9f3425 in SECMOD_DestroyModuleList (list=<optimized out>) at pk11util.c:957
        lp = <optimized out>
#17 0x00007f45bd9f34ad in SECMOD_Shutdown () at pk11util.c:67
No locals.
#18 0x00007f45bd9aff95 in nss_Shutdown () at nssinit.c:1163
        shutdownRV = <optimized out>
        rv = <optimized out>
        status = PR_SUCCESS
        temp = <optimized out>
#19 0x00007f45bd9b01fb in NSS_ShutdownContext (context=0x55aeda456ee0) at nssinit.c:1289
        rv = SECSuccess
#20 0x000055aed8a7c45a in unload_nss (self=0x55aeda41a340) at ../plugins/smartcard/gsd-smartcard-manager.c:149
        _pp = <optimized out>
        _ptr = <optimized out>
#21 gsd_smartcard_manager_stop (self=0x55aeda41a340) at ../plugins/smartcard/gsd-smartcard-manager.c:757
        priv = 0x55aeda41a300
#22 0x000055aed8a743e9 in main (argc=<optimized out>, argv=<optimized out>) at ../plugins/common/daemon-skeleton.h:222
        error = 0x0
        context = <optimized out>
        loop = 0x55aeda427840
Thread 3 (Thread 0x7f45b03a9700 (LWP 8119)):
#0  0x00007f45bd87b421 in __GI___poll (fds=0x55aeda439280, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
        resultvar = 18446744073709551100
        sc_cancel_oldtype = 0
        sc_ret = <optimized out>
#1  0x00007f45bdb123a6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x55aeda439280, timeout=<optimized out>, context=0x55aeda437f80) at gmain.c:4221
        ret = <optimized out>
        errsv = <optimized out>
        poll_func = 0x7f45bdb21f10 <g_poll>
        poll_func = <optimized out>
        ret = <optimized out>
        errsv = <optimized out>
#2  g_main_context_iterate (context=context@entry=0x55aeda437f80, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x55aeda439280
#3  0x00007f45bdb124d0 in g_main_context_iteration (context=0x55aeda437f80, may_block=may_block@entry=1) at gmain.c:3981
        retval = <optimized out>
#4  0x00007f45bdb12521 in glib_worker_main (data=<optimized out>) at gmain.c:5861
No locals.
#5  0x00007f45bdb3b2aa in g_thread_proxy (data=0x55aeda438400) at gthread.c:784
        thread = 0x55aeda438400
        __func__ = "g_thread_proxy"
#6  0x00007f45bd6df58e in start_thread (arg=<optimized out>) at pthread_create.c:486
        ret = <optimized out>
        pd = <optimized out>
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139937286100736, 7487283425846060101, 140725453527614, 140725453527615, 140725453527744, 139937286098560, -7393981576620972987, -7393971327509240763}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
#7  0x00007f45bd8866a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
No locals.
Thread 4 (Thread 0x7f45afba8700 (LWP 8122)):
#0  0x00007f45bd87b421 in __GI___poll (fds=0x7f45a000bdd0, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
        resultvar = 18446744073709551100
        sc_cancel_oldtype = 0
        sc_ret = <optimized out>
#1  0x00007f45bdb123a6 in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7f45a000bdd0, timeout=<optimized out>, context=0x55aeda445fd0) at gmain.c:4221
        ret = <optimized out>
        errsv = <optimized out>
        poll_func = 0x7f45bdb21f10 <g_poll>
        poll_func = <optimized out>
        ret = <optimized out>
        errsv = <optimized out>
#2  g_main_context_iterate (context=0x55aeda445fd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 3
        allocated_nfds = 3
        fds = 0x7f45a000bdd0
#3  0x00007f45bdb12762 in g_main_loop_run (loop=0x55aeda446110) at gmain.c:4116
        self = <optimized out>
        __func__ = "g_main_loop_run"
#4  0x00007f45bdd1010a in gdbus_shared_thread_func (user_data=0x55aeda445fa0) at gdbusprivate.c:275
        data = 0x55aeda445fa0
#5  0x00007f45bdb3b2aa in g_thread_proxy (data=0x55aeda4384a0) at gthread.c:784
        thread = 0x55aeda4384a0
        __func__ = "g_thread_proxy"
#6  0x00007f45bd6df58e in start_thread (arg=<optimized out>) at pthread_create.c:486
        ret = <optimized out>
        pd = <optimized out>
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139937277708032, 7487283425846060101, 140725453528014, 140725453528015, 140725453528144, 139937277705856, -7393938689761909691, -7393971327509240763}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
#7  0x00007f45bd8866a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
No locals.
Thread 5 (Thread 0x7f45af377700 (LWP 8148)):
#0  0x00007f45bd87b421 in __GI___poll (fds=0x55aeda4583e0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
        resultvar = 18446744073709551100
        sc_cancel_oldtype = 0
        sc_ret = <optimized out>
#1  0x00007f45bdb123a6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x55aeda4583e0, timeout=<optimized out>, context=0x55aeda4587a0) at gmain.c:4221
        ret = <optimized out>
        errsv = <optimized out>
        poll_func = 0x7f45bdb21f10 <g_poll>
        poll_func = <optimized out>
        ret = <optimized out>
        errsv = <optimized out>
#2  g_main_context_iterate (context=context@entry=0x55aeda4587a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x55aeda4583e0
#3  0x00007f45bdb124d0 in g_main_context_iteration (context=context@entry=0x55aeda4587a0, may_block=may_block@entry=1) at gmain.c:3981
        retval = <optimized out>
#4  0x00007f45bddffc7d in dconf_gdbus_worker_thread (user_data=0x55aeda4587a0) at ../gdbus/dconf-gdbus-thread.c:82
        context = 0x55aeda4587a0
#5  0x00007f45bdb3b2aa in g_thread_proxy (data=0x55aeda438e80) at gthread.c:784
        thread = 0x55aeda438e80
        __func__ = "g_thread_proxy"
#6  0x00007f45bd6df58e in start_thread (arg=<optimized out>) at pthread_create.c:486
        ret = <optimized out>
        pd = <optimized out>
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139937269118720, 7487283425846060101, 140725453527230, 140725453527231, 140725453527360, 139937269116544, -7393939764040604603, -7393971327509240763}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
#7  0x00007f45bd8866a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
No locals.
Thread 6 (Thread 0x7f45ae2eb700 (LWP 8243)):
#0  0x00007f45bd87b421 in __GI___poll (fds=0x7f4598005400, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
        resultvar = 18446744073709551100
        sc_cancel_oldtype = 0
        sc_ret = <optimized out>
#1  0x00007f45bdb123a6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f4598005400, timeout=<optimized out>, context=0x7f4598001d50) at gmain.c:4221
        ret = <optimized out>
        errsv = <optimized out>
        poll_func = 0x7f45bdb21f10 <g_poll>
        poll_func = <optimized out>
        ret = <optimized out>
        errsv = <optimized out>
#2  g_main_context_iterate (context=0x7f4598001d50, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7f4598005400
#3  0x00007f45bdb12762 in g_main_loop_run (loop=0x7f45980053e0) at gmain.c:4116
        self = <optimized out>
        __func__ = "g_main_loop_run"
#4  0x000055aed8a7bfee in watch_smartcards (task=<optimized out>, self=<optimized out>, data=<optimized out>, cancellable=0x7f45a0008700) at ../plugins/smartcard/gsd-smartcard-manager.c:645
        context = 0x7f4598001d50
        loop = 0x7f45980053e0
#5  0x00007f45bdccf2c7 in g_task_thread_pool_thread (thread_data=0x7f45a400a510, pool_data=<optimized out>) at gtask.c:1331
        task = 0x7f45a400a510
#6  0x00007f45bdb3bcb3 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:307
        task = 0x7f45a400a510
        pool = 0x55aeda432790
#7  0x00007f45bdb3b2aa in g_thread_proxy (data=0x55aeda4384f0) at gthread.c:784
        thread = 0x55aeda4384f0
        __func__ = "g_thread_proxy"
#8  0x00007f45bd6df58e in start_thread (arg=<optimized out>) at pthread_create.c:486
        ret = <optimized out>
        pd = <optimized out>
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139937251768064, 7487283425846060101, 140725453527774, 140725453527775, 140725453527904, 139937251765888, -7393942167074806715, -7393971327509240763}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
#9  0x00007f45bd8866a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
No locals.
From                To                  Syms Read   Shared Object Library
0x00007f45bde0e390  0x00007f45bde15f3e  Yes         /usr/lib64/gnome-settings-daemon-3.0/libgsd.so
0x00007f45bdc76110  0x00007f45bdd5eaa2  Yes         /lib64/libgio-2.0.so.0
0x00007f45bdbeeeb0  0x00007f45bdc200be  Yes         /lib64/libgobject-2.0.so.0
0x00007f45bdadfb30  0x00007f45bdb5dbb2  Yes         /lib64/libglib-2.0.so.0
0x00007f45bd9afad0  0x00007f45bda847ab  Yes         /lib64/libnss3.so
0x00007f45bd95e360  0x00007f45bd97fdc3  Yes         /lib64/libnspr4.so
0x00007f45bd7ab670  0x00007f45bd8f6c3f  Yes         /lib64/libc.so.6
0x00007f45bd77d890  0x00007f45bd7827a5  Yes         /lib64/libwayland-client.so.0
0x00007f45bd773450  0x00007f45bd774376  Yes         /lib64/libgmodule-2.0.so.0
0x00007f45bd76d270  0x00007f45bd76e039  Yes         /lib64/libdl.so.2
0x00007f45bd6fb390  0x00007f45bd74b986  Yes         /lib64/libpcre.so.1
0x00007f45bd6ddb50  0x00007f45bd6ec025  Yes         /lib64/libpthread.so.0
0x00007f45bd6cc2c0  0x00007f45bd6d0d2a  Yes         /lib64/libffi.so.6
0x00007f45bd6b35f0  0x00007f45bd6c07b7  Yes         /lib64/libz.so.1
0x00007f45bd68b830  0x00007f45bd6a33df  Yes         /lib64/libselinux.so.1
0x00007f45bd66d710  0x00007f45bd67966e  Yes         /lib64/libresolv.so.2
0x00007f45bd619a80  0x00007f45bd651092  Yes         /lib64/libmount.so.1
0x00007f45bd5e7410  0x00007f45bd5f791c  Yes         /lib64/libnssutil3.so
0x00007f45bd5d23f0  0x00007f45bd5d3b41  Yes         /lib64/libplc4.so
0x00007f45bd5cc1f0  0x00007f45bd5ccf2c  Yes         /lib64/libplds4.so
0x00007f45bd5c3710  0x00007f45bd5c6a80  Yes         /lib64/librt.so.1
0x00007f45bde22110  0x00007f45bde412b4  Yes         /lib64/ld-linux-x86-64.so.2
0x00007f45bd44a490  0x00007f45bd4e95fa  Yes         /lib64/libm.so.6
0x00007f45bd3b9490  0x00007f45bd414933  Yes         /lib64/libpcre2-8.so.0
0x00007f45bd36cf60  0x00007f45bd39dd62  Yes         /lib64/libblkid.so.1
0x00007f45bd35b320  0x00007f45bd35ed51  Yes         /lib64/libuuid.so.1
0x00007f45bddfa5d0  0x00007f45bddfff05  Yes         /usr/lib64/gio/modules/libdconfsettings.so
0x00007f45aeb3a090  0x00007f45aeb65790  Yes         /lib64/libsoftokn3.so
0x00007f45aea0e8f0  0x00007f45aeadd964  Yes         /lib64/libsqlite3.so.0
0x00007f45ae978280  0x00007f45ae9d6ced  Yes         /lib64/libfreeblpriv3.so
0x00007f45bdde8310  0x00007f45bdde8ae4  Yes         /lib64/libnsssysinit.so
0x00007f45ae86b090  0x00007f45ae903380  Yes         /lib64/p11-kit-proxy.so
0x00007f45ae80bbb0  0x00007f45ae824340  Yes         /usr/lib64/pkcs11/p11-kit-trust.so
0x00007f45ae7ed6b0  0x00007f45ae7f8443  Yes         /lib64/libtasn1.so.6
0x00007f45ae7bd5b0  0x00007f45ae7d5d86  Yes         /usr/lib64/pkcs11/opensc-pkcs11.so
0x00007f45ae5f8ef0  0x00007f45ae725106  Yes         /lib64/libopensc.so.6
0x00007f45ae374000  0x00007f45ae516780  Yes         /lib64/libcrypto.so.1.1
0x00007f45ae2ee630  0x00007f45ae2f41da  Yes         /lib64/libpcsclite.so.1
$1 = 0x0
$2 = 0x0
rax            0x7f459c002470      139936946726000
rbx            0x0                 0
rcx            0x7f45bd6f4360      139937507656544
rdx            0x7f45adaeaab0      139937243376304
rsi            0x1                 1
rdi            0xa0                160
rbp            0x0                 0x0
rsp            0x7f45adae9c40      0x7f45adae9c40
r8             0x0                 0
r9             0x0                 0
r10            0x1e7e178           31973752
r11            0x206               518
r12            0xffffffff          4294967295
r13            0x0                 0
r14            0x3e8               1000
r15            0x0                 0
rip            0x7f45bd5eaf46      0x7f45bd5eaf46 <NSSRWLock_LockRead_Util+22>
eflags         0x10206             [ PF IF RF ]
cs             0x33                51
ss             0x2b                43
ds             0x0                 0
es             0x0                 0
fs             0x0                 0
gs             0x0                 0
st0            0                   (raw 0x00000000000000000000)
st1            0                   (raw 0x00000000000000000000)
st2            0                   (raw 0x00000000000000000000)
st3            0                   (raw 0x00000000000000000000)
st4            0                   (raw 0x00000000000000000000)
st5            0                   (raw 0x00000000000000000000)
st6            0                   (raw 0x00000000000000000000)
st7            0                   (raw 0x00000000000000000000)
fctrl          0x37f               895
fstat          0x0                 0
ftag           0xffff              65535
fiseg          0x0                 0
fioff          0x0                 0
foseg          0x0                 0
fooff          0x0                 0
fop            0x0                 0
xmm0           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x0}
xmm1           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x8000000000000000, 0x0}, v16_int8 = {0xff, 0x0, 0xff <repeats 13 times>, 0x0}, v8_int16 = {0xff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xff}, v4_int32 = {0xffff00ff, 0xffffffff, 0xffffffff, 0xffffff}, v2_int64 = {0xffffffffffff00ff, 0xffffffffffffff}, uint128 = 0xffffffffffffffffffffffffff00ff}
xmm2           {v4_float = {0xffffffff, 0xffffffff, 0xffffffff, 0x0}, v2_double = {0x7fffffffffffffff, 0x0}, v16_int8 = {0x64, 0x0, 0x4c, 0x61, 0x75, 0x6e, 0x63, 0x68, 0x20, 0x66, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x0}, v8_int16 = {0x64, 0x614c, 0x6e75, 0x6863, 0x6620, 0x6961, 0x656c, 0x64}, v4_int32 = {0x614c0064, 0x68636e75, 0x69616620, 0x64656c}, v2_int64 = {0x68636e75614c0064, 0x64656c69616620}, uint128 = 0x64656c6961662068636e75614c0064}
xmm3           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x0}
xmm4           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0xff00, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0xff00, 0x0}, v2_int64 = {0x0, 0xff00}, uint128 = 0xff000000000000000000}
xmm5           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0, 0x9b, 0xbf, 0xbd, 0x45, 0x7f, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v8_int16 = {0x9b00, 0xbdbf, 0x7f45, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0xbdbf9b00, 0x7f45, 0x0, 0x0}, v2_int64 = {0x7f45bdbf9b00, 0x0}, uint128 = 0x7f45bdbf9b00}
xmm6           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xd0, 0x8e, 0xbf, 0xbd, 0x45, 0x7f, 0x0, 0x0}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x8ed0, 0xbdbf, 0x7f45, 0x0}, v4_int32 = {0x0, 0x0, 0xbdbf8ed0, 0x7f45}, v2_int64 = {0x0, 0x7f45bdbf8ed0}, uint128 = 0x7f45bdbf8ed00000000000000000}
xmm7           {v4_float = {0x80000000, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0xf0, 0x68, 0xa7, 0xd8, 0xae, 0x55, 0x0, 0x0, 0x10, 0x8e, 0xbf, 0xbd, 0x45, 0x7f, 0x0, 0x0}, v8_int16 = {0x68f0, 0xd8a7, 0x55ae, 0x0, 0x8e10, 0xbdbf, 0x7f45, 0x0}, v4_int32 = {0xd8a768f0, 0x55ae, 0xbdbf8e10, 0x7f45}, v2_int64 = {0x55aed8a768f0, 0x7f45bdbf8e10}, uint128 = 0x7f45bdbf8e10000055aed8a768f0}
xmm8           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x0}
xmm9           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0x0, 0x0}, v8_int16 = {0x0, 0x0, 0x0, 0xff, 0x0, 0x0, 0xff00, 0x0}, v4_int32 = {0x0, 0xff0000, 0x0, 0xff00}, v2_int64 = {0xff000000000000, 0xff0000000000}, uint128 = 0xff000000000000ff000000000000}
xmm10          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x0}
xmm11          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x8000000000000000, 0x0}, v16_int8 = {0xff <repeats 14 times>, 0x0, 0x0}, v8_int16 = {0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0x0}, v4_int32 = {0xffffffff, 0xffffffff, 0xffffffff, 0xffff}, v2_int64 = {0xffffffffffffffff, 0xffffffffffff}, uint128 = 0xffffffffffffffffffffffffffff}
xmm12          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x0}
xmm13          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x0}
xmm14          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x0}
xmm15          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x0}
mxcsr          0x1f80              [ IM DM ZM OM UM PM ]
Dump of assembler code for function NSSRWLock_LockRead_Util:
   0x00007f45bd5eaf30 <+0>:     endbr64
   0x00007f45bd5eaf34 <+4>:     push   %r12
   0x00007f45bd5eaf36 <+6>:     mov    $0xffffffff,%r12d
   0x00007f45bd5eaf3c <+12>:    push   %rbp
   0x00007f45bd5eaf3d <+13>:    push   %rbx
   0x00007f45bd5eaf3e <+14>:    mov    %rdi,%rbx
   0x00007f45bd5eaf41 <+17>:    callq  0x7f45bd5e6bc0 <PR_GetCurrentThread@plt>
=> 0x00007f45bd5eaf46 <+22>:    mov    (%rbx),%rdi
   0x00007f45bd5eaf49 <+25>:    mov    %rax,%rbp
   0x00007f45bd5eaf4c <+28>:    callq  0x7f45bd5e70f0 <PR_Lock@plt>
   0x00007f45bd5eaf51 <+33>:    mov    0x38(%rbx),%rax
   0x00007f45bd5eaf55 <+37>:    cmp    %rax,%rbp
   0x00007f45bd5eaf58 <+40>:    jne    0x7f45bd5eaf7d <NSSRWLock_LockRead_Util+77>
   0x00007f45bd5eaf5a <+42>:    jmp    0x7f45bd5eaf89 <NSSRWLock_LockRead_Util+89>
   0x00007f45bd5eaf5c <+44>:    nopl   0x0(%rax)
   0x00007f45bd5eaf60 <+48>:    addl   $0x1,0x1c(%rbx)
   0x00007f45bd5eaf64 <+52>:    mov    0x28(%rbx),%rdi
   0x00007f45bd5eaf68 <+56>:    mov    %r12d,%esi
   0x00007f45bd5eaf6b <+59>:    callq  0x7f45bd5e7010 <PR_WaitCondVar@plt>
   0x00007f45bd5eaf70 <+64>:    mov    0x38(%rbx),%rax
   0x00007f45bd5eaf74 <+68>:    subl   $0x1,0x1c(%rbx)
   0x00007f45bd5eaf78 <+72>:    cmp    %rbp,%rax
   0x00007f45bd5eaf7b <+75>:    je     0x7f45bd5eaf89 <NSSRWLock_LockRead_Util+89>
   0x00007f45bd5eaf7d <+77>:    test   %rax,%rax
   0x00007f45bd5eaf80 <+80>:    jne    0x7f45bd5eaf60 <NSSRWLock_LockRead_Util+48>
   0x00007f45bd5eaf82 <+82>:    mov    0x20(%rbx),%eax
   0x00007f45bd5eaf85 <+85>:    test   %eax,%eax
   0x00007f45bd5eaf87 <+87>:    jne    0x7f45bd5eaf60 <NSSRWLock_LockRead_Util+48>
   0x00007f45bd5eaf89 <+89>:    addl   $0x1,0x18(%rbx)
   0x00007f45bd5eaf8d <+93>:    mov    (%rbx),%rdi
   0x00007f45bd5eaf90 <+96>:    pop    %rbx
   0x00007f45bd5eaf91 <+97>:    pop    %rbp
   0x00007f45bd5eaf92 <+98>:    pop    %r12
   0x00007f45bd5eaf94 <+100>:   jmpq   0x7f45bd5e7380 <PR_Unlock@plt>
End of assembler dump.
[oppie@guardian ~]$

Comment 39 Alex 2019-03-21 19:28:22 UTC
*** Bug 1691517 has been marked as a duplicate of this bug. ***

Comment 40 Giomar Osorio 2019-03-24 09:53:34 UTC
*** Bug 1692096 has been marked as a duplicate of this bug. ***

Comment 41 Brian J. Murrell 2019-03-26 10:59:55 UTC
Similar problem has been detected:

I don't know how this happened

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=94e6759c1faf4e4084de272f4965dd22;i=10bdaf;b=ec17716482b84fc6b95f58d15bd98c38;m=46fe42133f;t=584d80d08a4b1;x=2f4d0b2c7f7fa06f
kernel:         4.20.16-200.fc29.x86_64
package:        gnome-settings-daemon-3.30.2-1.fc29
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 42 Christian Fredrik Kalager Schaller 2019-03-26 13:52:49 UTC
Similar problem has been detected:

This happened while switching between normal and classic mode in GNOME.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=e700b7afa7614c978a940e9ebaaccd83;i=3e4b2;b=f6a22d6ba0824c90bbf49934177d845f;m=eeae887;t=584ff92b2d9d1;x=11ecc12d3ecb07e6
kernel:         4.20.16-200.fc29.x86_64
package:        gnome-settings-daemon-3.30.2-1.fc29
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 43 Bill Chatfield 2019-03-31 18:36:06 UTC
*** Bug 1694477 has been marked as a duplicate of this bug. ***

Comment 44 chinasee 2019-04-13 09:33:30 UTC
*** Bug 1699517 has been marked as a duplicate of this bug. ***

Comment 45 Jan Vlug 2019-04-14 06:22:18 UTC
Similar problem has been detected:

Logged out from GNOME Wayland Session, and logged in again. Then this crash was detected by ABRT.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=dca7c8e87b214d028e13936e39501644;i=57efe;b=50fe1e1161f74edabdffe89c6ae49e20;m=1cbf993539;t=58677766acdc6;x=39add9d1d1647b70
kernel:         5.0.5-200.fc29.x86_64+debug
package:        gnome-settings-daemon-3.30.2-1.fc29
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 46 willcotto 2019-04-16 19:59:56 UTC
*** Bug 1700530 has been marked as a duplicate of this bug. ***

Comment 47 Reza Sh 2019-05-03 12:12:12 UTC
*** Bug 1706028 has been marked as a duplicate of this bug. ***

Comment 48 robert fairbrother 2019-05-16 03:09:30 UTC
*** Bug 1710671 has been marked as a duplicate of this bug. ***

Comment 49 Ricardo Ramos 2019-05-22 02:27:29 UTC
Similar problem has been detected:

I rebooted the computer and the error message notification appeared after the desktop finished loading.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=dc35a0def8924ad7a5c2581c35081f59;i=2c0b9;b=fc91beae266b46549e8d4e86d15ace0d;m=9d3b6d80c;t=5897075c5673e;x=e8020445f06a6cf4
kernel:         5.0.16-200.fc29.x86_64
package:        gnome-settings-daemon-3.30.2-1.fc29
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 50 Marek Kašík 2019-05-22 13:42:16 UTC
I've prepared a merge request which I think should fix this issue (with some needed changes because of backport to older version). See https://gitlab.gnome.org/GNOME/gnome-settings-daemon/merge_requests/104 for info.

Comment 51 Fedora Update System 2019-05-28 11:15:17 UTC
gnome-settings-daemon-3.30.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-358468ed91

Comment 52 Fedora Update System 2019-05-28 11:15:24 UTC
gnome-settings-daemon-3.32.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-85fc4227e2

Comment 53 Fedora Update System 2019-05-28 22:11:24 UTC
gnome-settings-daemon-3.30.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-358468ed91

Comment 54 Fedora Update System 2019-05-29 01:35:49 UTC
gnome-settings-daemon-3.32.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-85fc4227e2

Comment 55 Fedora Update System 2019-06-12 14:47:10 UTC
gnome-settings-daemon-3.32.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 56 Fedora Update System 2019-06-13 01:38:02 UTC
gnome-settings-daemon-3.30.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.